%define build_test 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%define their_version 3.5.17

## Redefine configure values.
%define	_bindir %{_prefix}/sbin
%define _libexecdir %{_libdir}/squid
%define _initrddir /etc/rc.d/init.d/
%define _sysconfdir /etc/squid
%define  _localstatedir /var
%define _datadir %{_usr}/share/squid
%define _mandir %{_usr}/share/man
%define _infodir %{_usr}/share/info

%define defaultmaxfiles 8192

Summary:	The Squid proxy caching server
Name:		squid
Version:	%{their_version}
Release:	%mkrel 1
License:	GPLv2
Group:		System/Servers
URL:		http://www.squid-cache.org/
Source0:	http://www.squid-cache.org/Versions/v3/3.5/squid-%{their_version}.tar.xz
Source1:	http://www.squid-cache.org/Versions/v3/3.5/squid-%{their_version}.tar.xz.asc
Source2:	http://www.squid-cache.org/Doc/FAQ/FAQ.tar.bz2
Source3:	squid.init
Source4:	squid.logrotate
Source5:	squid.conf.authenticate
Source6:	smb.conf
Source7:	squid.conf.transparent
Source8:	rc.firewall
Source9:	ERR_CUSTOM_ACCESS_DENIED.English
Source10:	ERR_CUSTOM_ACCESS_DENIED.French
Source11: 	squid.sysconfig
Source12:	squid.pam-0.77
Source13:	squid.pam
Source14:	squid.ifup
Patch1:		squid-config.diff
Patch2:		squid-user_group.diff
Patch3:		squid-ssl.diff
Patch11:	squid-shutdown_lifetime.diff
Patch13:	squid-errordir.diff
Patch16:	squid-3.5.5-mysql-helper-joomla.diff
Patch18:	squid-3.5.5-purge.diff
Patch19:	squid-3.4.9-configure-egrep.patch
Patch301:	squid-getconf_mess.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	bzip2
BuildRequires:	libtool-devel
BuildRequires:	db-devel
BuildRequires:	libsasl-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	libtool
BuildRequires:	krb5-devel
BuildRequires:	ecap-devel
BuildRequires:	cap-devel
BuildRequires:	samba-winbind
%if %{build_test}
BuildRequires:	cppunit-devel
%endif
Provides:	webproxy

%description
Squid is a high-performance proxy caching server for web clients, supporting 
FTP, gopher, and HTTP data objects over IPv4 or IPv6. Unlike traditional 
caching software, Squid handles all requests in a single, non-blocking, 
asynchronous process.
Squid keeps meta data and especially hot objects cached in RAM, caches DNS 
lookups, supports non-blocking DNS lookups, and implements negative caching 
of failed requests.  Squid supports SSL, extensive access controls, and full 
request logging. By using the lightweight Internet Cache Protocol (ICP) and 
HTTP Cache Protocol (HTCP) Squid caches can be arranged in a hierarchy or 
mesh for additional bandwidth savings.

Install squid if you need a proxy caching server.

This package defaults to a maximum of %{defaultmaxfiles} filedescriptors. You
can change these values at build time by using for example:

--define 'maxfiles 4096'

The package was built to support a maximum of %{?!maxfiles:%{defaultmaxfiles}}%{?maxfiles:%{maxfiles}} filedescriptors.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
    --with[out]	test	Initiate the test suite

%package	cachemgr
Summary:	The Squid Cache Manager
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache >= 2.0.54
Requires(pre):	%{name} = %{version}
Requires:	apache >= 2.0.54
Requires:	%{name} = %{version}

%description	cachemgr
This package contains the Squid Cache Manager.


%prep

%setup -q -n squid-%{their_version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done


%patch1 -p1 -b .config
%patch2 -p0 -b .user_group
%patch3 -p1 -b .ssl
%patch11 -p0 -b .shutdown_lifetime
%patch13 -p1 -b .errordir
%patch16 -p1 -b .joomla
%patch18 -p1 -b .purge-paths
%patch19 -p1 -b .egrep

mkdir -p faq
tar -jxf %{SOURCE2} -C faq

install -m 0755 %{SOURCE3} squid.init
install -m 0644 %{SOURCE4} squid.logrotate
install -m 0644 %{SOURCE5} squid.conf.authenticate
install -m 0644 %{SOURCE6} smb.conf
install -m 0644 %{SOURCE7} squid.conf.transparent
install -m 0755 %{SOURCE8} rc.firewall
install -m 0644 %{SOURCE11} squid.sysconfig
install -m 0755 %{SOURCE14} squid.ifup

# fix conditional pam config file
install -m 0644 %{SOURCE13} squid.pam

perl -p -i -e "s|^SAMBAPREFIX.*|SAMBAPREFIX = /usr|" helpers/basic_auth/SMB/Makefile.*
grep -r "local/bin/perl" . |sed -e "s/:.*$//g" | xargs perl -p -i -e "s@local/bin/perl@bin/perl@g"

# libtool
perl -pi -e "s|AC_PROG_RANLIB|AC_PROG_LIBTOOL|g" configure*

%build

%serverbuild
rm -rf configure autom4te.cache

sh ./bootstrap.sh

export SSLLIB="-L%{_libdir} `pkg-config --libs openssl`"
export CPPFLAGS="-I%{_includedir}/openssl -I`find /usr/include -type f -name db_185.h|head -n1|xargs dirname` $RPM_OPT_FLAGS "

%ifarch x86_64
export CFLAGS="$CFLAGS -I`find /usr/include -type f -name db_185.h|head -n1|xargs dirname` -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$CXXFLAGS -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%else
export CFLAGS="$CFLAGS -I`find /usr/include -type f -name db_185.h|head -n1|xargs dirname` -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$CXXFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%endif

%configure2_5x \
    --disable-arch-native \
    --enable-shared=no \
    --enable-static=no \
    --enable-xmalloc-statistics \
    --enable-carp \
    --enable-async-io \
    --enable-storeio="aufs,diskd,ufs" \
    --enable-removal-policies="heap,lru" \
    --enable-icmp \
    --enable-delay-pools \
    --disable-esi \
    --enable-icap-client \
    --enable-ecap \
    --enable-useragent-log \
    --enable-referer-log \
    --enable-wccp \
    --enable-wccpv2 \
    --disable-kill-parent-hack \
    --enable-snmp \
    --enable-cachemgr-hostname="localhost" \
    --enable-arp-acl \
    --enable-htcp \
    --enable-ssl \
    --enable-ssl-crtd \
    --enable-forw-via-db \
    --enable-follow-x-forwarded-for \
    --enable-cache-digests \
    --disable-poll \
    --enable-epoll \
    --enable-linux-netfilter \
    --disable-ident-lookups \
    --enable-default-hostsfile=/etc/hosts \
    --enable-auth \
    --enable-auth-basic="DB,fake,getpwnam,LDAP,MSNT-multi-domain,NCSA,NIS,PAM,POP3,RADIUS,SASL,SMB" \
    --enable-auth-ntlm="fake,smb_lm" \
    --enable-auth-negotiate="kerberos,wrapper" \
    --enable-auth-digest="eDirectory,file,LDAP" \
    --enable-external-acl-helpers="eDirectory_userip,file_userip,kerberos_ldap_group,LDAP_group,session,unix_group,wbinfo_group" \
    --enable-storeid-rewrite-helpers="file" \
    --with-default-user=%{name} \
    --with-pthreads \
    --with-dl \
    --with-openssl=%{_prefix} \
    --with-large-files \
    --with-swapdir=%{_localstatedir}/spool/squid \
    --with-build-environment=default \
    --enable-mit=`/usr/bin/krb5-config --prefix` \
    --with-logdir=%{_logdir}/squid \
    --enable-http-violations \
    --enable-zph-qos \
    %{?!maxfiles:--with-filedescriptors=%{defaultmaxfiles}}%{?maxfiles:%{maxfiles}}


#    --enable-disk-io="AIO,Blocking,DiskDaemon,DiskThreads" \

# Some versions of autoconf fail to detect sys/resource.h correctly;
# apparently because it generates a compiler warning.

if [ -e /usr/include/sys/resource.h ]; then
cat >> include/autoconf.h <<EOF
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_STRUCT_RUSAGE 1
#endif
EOF
fi

%make

%if %{build_test}
%check
make check
%endif

%install
%makeinstall_std

# make some directories
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}/etc/{logrotate.d,pam.d,sysconfig}
install -d %{buildroot}/etc/sysconfig/network-scripts/ifup.d
install -d %{buildroot}/etc/httpd/conf/webapps.d
install -d %{buildroot}%{_datadir}/{errors,icons}
install -d %{buildroot}%{_datadir}/errors/{English,French}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_var}/www/cgi-bin
install -d %{buildroot}%{_var}/log/squid
install -d %{buildroot}%{_var}/spool/squid
install -d %{buildroot}/usr/share/snmp/mibs

# fix error docs location	
rm -rf %{buildroot}%{_sysconfdir}/errors
pushd errors
    for i in *; do
	if [ -d $i ]; then
	    install -d %{buildroot}%{_datadir}/errors/$i
	    install -m0644 $i/* %{buildroot}%{_datadir}/errors/$i
	fi
    done
popd
ln -fs %{_datadir}/errors/templates %{buildroot}%{_sysconfdir}/errors

# install config
install -m0755 squid.init %{buildroot}%{_initrddir}/squid
install -m0644 squid.logrotate %{buildroot}/etc/logrotate.d/squid
install -m0644 squid.sysconfig %{buildroot}/etc/sysconfig/squid
install -m0755 squid.ifup %{buildroot}/etc/sysconfig/network-scripts/ifup.d/squid

# fix docs
cp helpers/basic_auth/SASL/basic_sasl_auth.conf .

cp helpers/external_acl/file_userip/example.conf ip_user_external_acl.example.conf
cp helpers/external_acl/file_userip/example-deny_all_but.conf ip_user_external_acl.example-deny_all_but.conf

cp helpers/external_acl/LDAP_group/ChangeLog ChangeLog.ldap_group_external_acl

head -19 helpers/basic_auth/NCSA/basic_ncsa_auth.cc > README.NCSA_basic_auth
head -56 helpers/basic_auth/PAM/basic_pam_auth.cc > README.PAM_basic_auth
head -21 helpers/basic_auth/getpwnam/basic_getpwnam_auth.cc > README.getpwnam_basic_auth
head -32 helpers/digest_auth/LDAP/digest_pw_auth.cc > README.ldap_digest_auth

install -m0755 helpers/basic_auth/SMB/basic_smb_auth.sh %{buildroot}%{_libexecdir}
install -m0755 helpers/basic_auth/SASL/basic_sasl_auth %{buildroot}%{_libexecdir}

for manpage in `find -name "*.8"`; do
    install -m0644 $manpage %{buildroot}/%{_mandir}/man8/
done

install -m 0644 %{SOURCE9} %{buildroot}%{_datadir}/errors/English/ERR_CUSTOM_ACCESS_DENIED
install -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/errors/French/ERR_CUSTOM_ACCESS_DENIED

install -m644 squid.pam %{buildroot}/etc/pam.d/squid

# move the mib in-place
mv %{buildroot}%{_datadir}/mib.txt %{buildroot}/usr/share/snmp/mibs/SQUID.txt

# move cachemgr.cgi to a more safe location
mv %{buildroot}%{_libexecdir}/cachemgr.cgi %{buildroot}%{_var}/www/cgi-bin/

# provide a simple apache config
cat > %{buildroot}/etc/httpd/conf/webapps.d/squid-cachemgr.conf << EOF
<Location /cgi-bin/cachemgr.cgi>
%if %{mgaversion} < 3
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
%endif
%if %{mgaversion} >= 3
    Require local granted
%endif
    ErrorDocument 403 "Access denied per /etc/httpd/conf/webapps.d/squid-cachemgr.conf"
</Location>
EOF

# some cleaning
rm -f %{buildroot}%{_libdir}/squid/no_check.pl

# nuke zero length files
find %{buildroot}%{_datadir}/errors/ -type f -size 0 -exec rm -f {} \;

%pretrans
if [ -e %{_datadir}/errors/zh-cn -a ! -L %{_datadir}/errors/zh-cn ]; then
  mv -f %{_datadir}/errors/zh-cn %{_datadir}/errors/zh-hans
fi
if [ -e %{_datadir}/errors/zh-tw -a ! -L %{_datadir}/errors/zh-tw ]; then
  mv -f %{_datadir}/errors/zh-tw %{_datadir}/errors/zh-hant
fi

%pre
%_pre_useradd squid %{_var}/spool/squid /bin/false

for i in %{_var}/log/squid %{_var}/spool/squid ; do
        if [ -d $i ] ; then
                for adir in `find $i -maxdepth 0 \! -user squid`; do
                        chown -R squid:squid $adir
                done
        fi
done

%post
%_create_ssl_certificate squid

%_post_service squid
 case "$LANG" in
  az*)
     DIR=Azerbaijani
     ;;
  bg*)
     DIR=Bulgarian
     ;;
  ca*)
     DIR=Catalan
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  el*)
     DIR=Greek
     ;;
  he*)
     DIR=Hebrew
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  lt*)
     DIR=Lithuanian
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sr*)
     DIR=Serbian
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh*)
     DIR=Traditional_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  *)
     DIR=English
     ;;
 esac

%preun
%_preun_service squid
if [ $1 = 0 ] ; then
	rm -f %{_var}/log/squid/*
        /sbin/chkconfig --del squid
fi

%postun
%_postun_userdel squid

%files
%doc faq/* C* R* Q* rc.firewall *.conf* doc/*.txt
%exclude %{_sysconfdir}/cachemgr.conf
%dir %_sysconfdir
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.default
%attr(0644,root,root) %config(noreplace) /etc/pam.d/squid
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/squid
%attr(0644,root,root) %config(noreplace) /etc/logrotate.d/squid
%attr(0755,root,squid) %config(noreplace) /etc/sysconfig/network-scripts/ifup.d/squid
%attr(0755,root,squid) %{_initrddir}/squid
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.css
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.documented
%{_sysconfdir}/errors
%{_datadir}/errors
%{_datadir}/icons
%{_libexecdir}/diskd
%{_libexecdir}/unlinkd
%attr(0755,root,squid) %{_libexecdir}/cert_tool
%attr(0755,root,squid) %{_libexecdir}/cert_valid.pl
%attr(0755,root,squid) %{_libexecdir}/digest_edirectory_auth
%attr(0755,root,squid) %{_libexecdir}/digest_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/digest_file_auth
%attr(0755,root,squid) %{_libexecdir}/basic_fake_auth
%attr(0755,root,squid) %{_libexecdir}/basic_getpwnam_auth
#%%attr(0755,root,squid) %%{_libexecdir}/basic_msnt_auth
%attr(0755,root,squid) %{_libexecdir}/basic_ncsa_auth
%attr(0755,root,squid) %{_libexecdir}/basic_pam_auth
%attr(4755,root,squid) %{_libexecdir}/pinger
%attr(0755,root,squid) %{_libexecdir}/basic_pop3_auth
%attr(0755,root,squid) %{_libexecdir}/basic_sasl_auth
%attr(0755,root,squid) %{_libexecdir}/basic_smb_auth
%attr(0755,root,squid) %{_libexecdir}/basic_smb_auth.sh
%attr(0755,root,squid) %{_libexecdir}/basic_db_auth
%attr(0755,root,squid) %{_libexecdir}/basic_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/basic_radius_auth
%attr(0755,root,squid) %{_libexecdir}/ext_edirectory_userip_acl
%attr(0755,root,squid) %{_libexecdir}/ext_file_userip_acl
%attr(0755,root,squid) %{_libexecdir}/ext_kerberos_ldap_group_acl
%attr(0755,root,squid) %{_libexecdir}/ext_ldap_group_acl
%attr(0755,root,squid) %{_libexecdir}/ext_session_acl
%attr(0755,root,squid) %{_libexecdir}/ext_unix_group_acl
%attr(0755,root,squid) %{_libexecdir}/storeid_file_rewrite
%attr(0755,root,squid) %{_libexecdir}/negotiate_kerberos_auth
%attr(0755,root,squid) %{_libexecdir}/negotiate_kerberos_auth_test
%attr(0755,root,squid) %{_libexecdir}/ntlm_smb_lm_auth
%attr(0755,root,squid) %{_libexecdir}/basic_msnt_multi_domain_auth
%attr(0755,root,squid) %{_libexecdir}/basic_nis_auth
%attr(0755,root,squid) %{_libexecdir}/ext_wbinfo_group_acl
%attr(0755,root,squid) %{_libexecdir}/helper-mux.pl
%attr(0755,root,squid) %{_libexecdir}/log_file_daemon
%attr(0755,root,squid) %{_libexecdir}/negotiate_wrapper_auth
%attr(0755,root,squid) %{_libexecdir}/ntlm_fake_auth
%attr(0755,root,squid) %{_libexecdir}/url_fake_rewrite
%attr(0755,root,squid) %{_libexecdir}/url_fake_rewrite.sh
%attr(0755,root,squid) %{_libexecdir}/log_db_daemon
%attr(0755,root,squid) %{_libexecdir}/ssl_crtd

%{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man8/*
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0755,squid,squid) %dir %{_var}/log/squid
%attr(0755,squid,squid) %dir %{_var}/spool/squid
%attr(0644,root,squid) /usr/share/snmp/mibs/SQUID.txt

%files cachemgr
%attr(0644,root,root) %config(noreplace) /etc/httpd/conf/webapps.d/squid-cachemgr.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cachemgr.conf
%attr(0755,root,squid) %{_var}/www/cgi-bin/cachemgr.cgi


%changelog
* Thu Apr 21 2016 luigiwalser <luigiwalser> 3.5.17-1.mga5
+ Revision: 1004060
- 3.5.17 (fixes CVE-2016-4051)
- 3.5.16 (fixes CVE-2016-3947 and CVE-2016-3948)
- remove upstream patches
- fix scriplet to fix upgrade from squid 3.4.x
- 3.5.15 (fix crashes, sync with cauldron)
- add one more patch from 3.5 branch to fix related issue
- add more bugfixes from 3.4 branch
- backport fixes from 3.5 branch for SQUID-2016_2 (ns80)

  + bcornec <bcornec>
    - Put back a -p0 for patch which wasn't building locally but creates a problem on the build farm
    - Fix #17298 by adding support of ssl_crtd
    - Fix security issue 16304

* Fri May 01 2015 luigiwalser <luigiwalser> 3.4.13-1.mga5
+ Revision: 820966
- 3.4.13 (fixes CVE-2015-3455)

* Wed Feb 18 2015 luigiwalser <luigiwalser> 3.4.12-1.mga5
+ Revision: 815768
- 3.4.12

* Tue Jan 13 2015 luigiwalser <luigiwalser> 3.4.11-1.mga5
+ Revision: 810388
- 3.4.11

* Wed Dec 10 2014 luigiwalser <luigiwalser> 3.4.10-1.mga5
+ Revision: 802598
- 3.4.10
- do not strip fPIC from flags

* Sat Nov 22 2014 cjw <cjw> 3.4.9-3.mga5
+ Revision: 798269
- configure with --disable-arch-native so the package also runs on hardware is not exactly the same as the build machine (fixes #14639)
- patch19: fix a configure error caused by EGREP being used before it was defined
- configure with --enable-shared=no
- drop useless -fPIC from compilation flags

* Fri Nov 21 2014 luigiwalser <luigiwalser> 3.4.9-2.mga5
+ Revision: 798206
- rebuild to hopefully fix illegal instruction error (mga#14639)

* Tue Nov 04 2014 luigiwalser <luigiwalser> 3.4.9-1.mga5
+ Revision: 795514
- 3.4.9
- remove upstreamed patch

* Wed Oct 15 2014 umeabot <umeabot> 3.4.8-2.mga5
+ Revision: 740388
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 luigiwalser <luigiwalser> 3.4.8-1.mga5
+ Revision: 721637
- 3.4.8

* Thu Aug 28 2014 luigiwalser <luigiwalser> 3.4.7-1.mga5
+ Revision: 669018
- 3.4.7

* Thu Jun 26 2014 dlucio <dlucio> 3.4.6-1.mga5
+ Revision: 640113
- Winbind requiered to build helper
- 3.4.6

* Mon May 05 2014 luigiwalser <luigiwalser> 3.4.5-1.mga5
+ Revision: 620303
- 3.4.5

* Sat Apr 26 2014 luigiwalser <luigiwalser> 3.4.4.2-1.mga5
+ Revision: 618324
- 3.4.4.2

* Mon Mar 10 2014 luigiwalser <luigiwalser> 3.4.4-1.mga5
+ Revision: 601741
- 3.4.4

* Tue Mar 04 2014 luigiwalser <luigiwalser> 3.4.3-2.mga5
+ Revision: 599531
- use makeinstall_std macro (mga#12914)
- fix patch 13 to cope with the change

* Fri Feb 21 2014 luigiwalser <luigiwalser> 3.4.3-1.mga5
+ Revision: 595381
- 3.4.3
- remove upstreamed pod2man patch
- eDirectory digest auth helper cannot be built right now

* Thu Dec 05 2013 luigiwalser <luigiwalser> 3.3.11-1.mga4
+ Revision: 555331
- 3.3.11

* Tue Nov 05 2013 luigiwalser <luigiwalser> 3.3.10-1.mga4
+ Revision: 549752
- 3.3.10

* Fri Sep 13 2013 luigiwalser <luigiwalser> 3.3.9-1.mga4
+ Revision: 478615
- 3.3.9

* Tue Aug 27 2013 luigiwalser <luigiwalser> 3.3.8-3.mga4
+ Revision: 472092
- rebuild for cyrus-sasl

* Thu Aug 22 2013 luigiwalser <luigiwalser> 3.3.8-2.mga4
+ Revision: 469820
- work around pod2man bug (mga#10663)

* Mon Jul 15 2013 luigiwalser <luigiwalser> 3.3.8-1.mga4
+ Revision: 454897
- 3.3.8

* Thu Jul 11 2013 luigiwalser <luigiwalser> 3.3.7-1.mga4
+ Revision: 453018
- 3.3.7

* Wed Jul 10 2013 luigiwalser <luigiwalser> 3.3.5-3.mga4
+ Revision: 452432
- do not require ksh for kerberos_ldap_group acl helper cert_tool script

* Sun Jun 30 2013 luigiwalser <luigiwalser> 3.3.5-2.mga4
+ Revision: 448558
- temporarily disable DB auth helper and log daemon as pod2man is broken
- fix selection of auth and acl helpers (mga#10516)

* Fri May 24 2013 dlucio <dlucio> 3.3.5-1.mga4
+ Revision: 426211
- 3.3.5
- P8 & P17 merged
- P19 no needed
- file list update

* Mon Apr 29 2013 dlucio <dlucio> 3.2.10-1.mga3
+ Revision: 411554
- 3.2.10
- P19 added

* Thu Mar 14 2013 luigiwalser <luigiwalser> 3.2.9-1.mga3
+ Revision: 403193
- 3.2.9

* Tue Mar 05 2013 luigiwalser <luigiwalser> 3.2.8-1.mga3
+ Revision: 401415
- 3.2.8

* Thu Feb 14 2013 dlucio <dlucio> 3.2.7-2.mga3
+ Revision: 398300
- P18 to fix purge default paths

* Fri Feb 01 2013 luigiwalser <luigiwalser> 3.2.7-1.mga3
+ Revision: 393931
- 3.2.7

* Thu Jan 10 2013 luigiwalser <luigiwalser> 3.2.6-1.mga3
+ Revision: 344483
- 3.2.6

* Sun Jan 06 2013 cjw <cjw> 3.2.5-2.mga3
+ Revision: 339716
- patch17: fix build with automake 1.13

  + oden <oden>
    - fix the apache config

* Tue Dec 18 2012 dlucio <dlucio> 3.2.5-1.mga3
+ Revision: 332665
- 3.2.5

* Fri Dec 07 2012 dlucio <dlucio> 3.2.4-1.mga3
+ Revision: 327751
- 3.2.4

* Sat Oct 27 2012 dlucio <dlucio> 3.2.3-1.mga3
+ Revision: 310607
- 3.2.3

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.2.2-1.mga3
+ Revision: 308301
- 3.2.2

* Sat Sep 08 2012 luigiwalser <luigiwalser> 3.2.1-1.mga3
+ Revision: 289665
- fix doc files list
- 3.2.1
- sync with mdv, which includes:
  - re-diffed patches
  - upstreamed patches removed
  - updated configure options
  - updated files lists

* Tue Jul 31 2012 fwang <fwang> 3.1.20-3.mga3
+ Revision: 276374
- rebuild for db-5.3

* Fri Jul 20 2012 dlucio <dlucio> 3.1.20-2.mga3
+ Revision: 272760
- rebuild for new db51

* Sun Jul 15 2012 dlucio <dlucio> 3.1.20-1.mga3
+ Revision: 271084
- 3.1.20
- new patches to fix little memory leaks with ecap

* Tue May 08 2012 pterjan <pterjan> 3.1.19-4.mga2
+ Revision: 234914
- Fix initscript's LSB header

* Thu Mar 22 2012 dlucio <dlucio> 3.1.19-3.mga2
+ Revision: 225611
+ rebuild (emptylog)

* Wed Mar 21 2012 dlucio <dlucio> 3.1.19-2.mga2
+ Revision: 225313
- P18 & P19 added, now we have COAP support

* Fri Feb 10 2012 dlucio <dlucio> 3.1.19-1.mga2
+ Revision: 206873
- 3.1.19

* Sat Dec 10 2011 dlucio <dlucio> 3.1.18-1.mga2
+ Revision: 180451
- 3.1.18
  p18 to fix compilling

* Sun Oct 16 2011 dlucio <dlucio> 3.1.16-1.mga2
+ Revision: 155477
- 3.1.16

* Fri Sep 30 2011 dlucio <dlucio> 3.1.15-3.mga2
+ Revision: 150455
- cosmetic message fixed when creating cache structure

* Thu Sep 15 2011 dmorgan <dmorgan> 3.1.15-2.mga2
+ Revision: 144111
- Fix apache requires

  + dlucio <dlucio>
    - Spec fixes, squid init fixes
    - 3.1.5
    - rebuild for new LDAP
    - rebuild for new LDAP
    - SPEC clean ups
    - Trying to make a single RPM compatible with both distros, anyway it helps me to maintain both
    - Trying to make a single RPM compatible with both distros, anyway it helps me to maintain both
    - 3.1.14
    - 3.1.12.2

* Tue Jun 14 2011 dlucio <dlucio> 3.1.12.2-1.mga2
+ Revision: 106204
- 3.1.12.2

* Sun May 15 2011 pterjan <pterjan> 3.1.12-2.mga1
+ Revision: 99033
- Rebuild for fixed find-requires

* Sun May 01 2011 misc <misc> 3.1.12-1.mga1
+ Revision: 94056
- clean file list from comment
- upgrade to 3.1.12, bugfixes only release ( http://www.mail-archive.com/squid-users@squid-cache.org/msg78434.html )
- remove unapplied patches

* Wed Apr 13 2011 tv <tv> 3.1.11-1.mga1
+ Revision: 84624
- use real version in RPM tags

* Mon Mar 07 2011 ennael <ennael> 3.1-26.mga1
+ Revision: 66297
- fix patches in spec file
- clean spec file

  + dlucio <dlucio>
    - 3.1.11
    - 3.1.11
    - imported package squid

